#include "Hitbox.h"
#include "Vector2D.h"

void Hitbox::ApplyVelocity(Vector2D vector)
{
    x += vector.x;
    y += vector.y;
}

void Hitbox::SetPosition(Vector2D vector)
{
    x = vector.x;
    y = vector.y;
}

Vector2D Hitbox::GetDirectionTo(const Hitbox & other)
{
    Vector2D vec;
    vec.x = other.x - x;
    vec.y = other.y - y;
    return vec;
}