#ifndef MOVE_X_COMMAND_H
#define MOVE_X_COMMAND_H


#include "AxisCommand.h"
#include <SDL3/SDL.h>

class MoveXCommand : public AxisCommand
{
public:
    MoveXCommand(SDL_FPoint & directionInput) : m_directionInput(&directionInput){};
    ~MoveXCommand() {};
    void Execute(float value) override { m_directionInput->x = value;}
private:
    SDL_FPoint * m_directionInput;
};



#endif