#include "Actor.h"

void Actor::SetPosition(Vector2D position)
{
    //differenct = velocity vector to new position
    Vector2D difference = position - m_Position;
    m_MoveHitbox.ApplyVelocity(difference);
    m_CombatHitbox.ApplyVelocity(difference);
    m_Position += difference;
}

void Actor::MoveBy(Vector2D velocity)
{
    m_MoveHitbox.ApplyVelocity(velocity);
    m_CombatHitbox.ApplyVelocity(velocity);
    m_Position += velocity;
}