#ifndef MOVE_DOWN_COMMAND_H
#define MOVE_DOWN_COMMAND_H

#include "GameCommand.h"
#include "../DataStructures/DirectionButtonStatus.h"

class MoveDownCommand : public GameCommand
{
public:
    MoveDownCommand(DirectionButtonStatus & buttonStatus) : m_ButtonStatus(&buttonStatus) {};
    void Down() override { m_ButtonStatus->DownPressed = true;}
    void Up() override { m_ButtonStatus->DownPressed = false;;}
private:
    DirectionButtonStatus * m_ButtonStatus;
};

#endif