#ifndef MOVE_UP_COMMAND_H
#define MOVE_UP_COMMAND_H

#include "GameCommand.h"
#include "../DataStructures/DirectionButtonStatus.h"

class MoveUpCommand : public GameCommand
{
public:
    MoveUpCommand(DirectionButtonStatus & buttonStatus) : m_ButtonStatus(&buttonStatus) {};
    void Down() override { m_ButtonStatus->UpPressed = true;}
    void Up() override { m_ButtonStatus->UpPressed = false;;}
private:
    DirectionButtonStatus * m_ButtonStatus;
};

#endif